---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "dynamix_vins Data Source - terraform-provider-dynamix"
subcategory: ""
description: |-
  
---

# dynamix_vins (Data Source)





<!-- schema generated by tfplugindocs -->
## Schema

### Required

- `vins_id` (Number) Unique ID of the ViNS.

### Optional

- `timeouts` (Block, Optional) (see [below for nested schema](#nestedblock--timeouts))

### Read-Only

- `account_id` (Number)
- `account_name` (String)
- `computes` (Attributes List) (see [below for nested schema](#nestedatt--computes))
- `created_by` (String)
- `created_time` (Number)
- `default_gw` (String)
- `default_qos` (Attributes) (see [below for nested schema](#nestedatt--default_qos))
- `deleted_by` (String)
- `deleted_time` (Number)
- `desc` (String)
- `gid` (Number)
- `guid` (Number)
- `id` (String) The ID of this resource.
- `lock_status` (String)
- `manager_id` (Number)
- `manager_type` (String)
- `milestones` (Number)
- `name` (String)
- `net_mask` (Number)
- `network` (String)
- `pre_reservations_num` (Number)
- `redundant` (Boolean)
- `rg_id` (Number)
- `rg_name` (String)
- `sec_vnf_dev_id` (Number)
- `status` (String)
- `updated_by` (String)
- `updated_time` (Number)
- `user_managed` (Boolean)
- `vnf_dev` (Attributes) (see [below for nested schema](#nestedatt--vnf_dev))
- `vnfs` (Attributes) (see [below for nested schema](#nestedatt--vnfs))
- `vxlan_id` (Number)

<a id="nestedblock--timeouts"></a>
### Nested Schema for `timeouts`

Optional:

- `read` (String) A string that can be [parsed as a duration](https://pkg.go.dev/time#ParseDuration) consisting of numbers and unit suffixes, such as "30s" or "2h45m". Valid time units are "s" (seconds), "m" (minutes), "h" (hours).


<a id="nestedatt--computes"></a>
### Nested Schema for `computes`

Read-Only:

- `compute_id` (Number)
- `compute_name` (String)


<a id="nestedatt--default_qos"></a>
### Nested Schema for `default_qos`

Read-Only:

- `e_rate` (Number)
- `guid` (String)
- `in_burst` (Number)
- `in_rate` (Number)


<a id="nestedatt--vnf_dev"></a>
### Nested Schema for `vnf_dev`

Read-Only:

- `account_id` (Number)
- `capabilities` (List of String)
- `ckey` (String)
- `config` (Attributes) (see [below for nested schema](#nestedatt--vnf_dev--config))
- `config_saved` (Boolean)
- `custom_pre_cfg` (Boolean)
- `desc` (String)
- `gid` (Number)
- `guid` (Number)
- `interfaces` (Attributes List) (see [below for nested schema](#nestedatt--vnf_dev--interfaces))
- `lock_status` (String)
- `milestones` (Number)
- `status` (String)
- `tech_status` (String)
- `type` (String)
- `vins` (List of Number)
- `vnf_id` (Number)
- `vnf_name` (String)

<a id="nestedatt--vnf_dev--config"></a>
### Nested Schema for `vnf_dev.config`

Read-Only:

- `mgmt` (Attributes) (see [below for nested schema](#nestedatt--vnf_dev--config--mgmt))
- `resources` (Attributes) (see [below for nested schema](#nestedatt--vnf_dev--config--resources))

<a id="nestedatt--vnf_dev--config--mgmt"></a>
### Nested Schema for `vnf_dev.config.mgmt`

Read-Only:

- `ip_addr` (String)
- `password` (String)
- `ssh_key` (String)
- `user` (String)


<a id="nestedatt--vnf_dev--config--resources"></a>
### Nested Schema for `vnf_dev.config.resources`

Read-Only:

- `cpu` (Number)
- `ram` (Number)
- `stack_id` (Number)
- `uuid` (String)



<a id="nestedatt--vnf_dev--interfaces"></a>
### Nested Schema for `vnf_dev.interfaces`

Read-Only:

- `conn_id` (Number)
- `conn_type` (String)
- `def_gw` (String)
- `enabled` (Boolean)
- `flipgroup_id` (Number)
- `guid` (String)
- `ip_address` (String)
- `listen_ssh` (Boolean)
- `mac` (String)
- `name` (String)
- `net_id` (Number)
- `net_mask` (Number)
- `net_type` (String)
- `node_id` (Number)
- `pci_slot` (Number)
- `qos` (Attributes) (see [below for nested schema](#nestedatt--vnf_dev--interfaces--qos))
- `target` (String)
- `type` (String)
- `vnfs` (List of Number)

<a id="nestedatt--vnf_dev--interfaces--qos"></a>
### Nested Schema for `vnf_dev.interfaces.qos`

Read-Only:

- `e_rate` (Number)
- `guid` (String)
- `in_burst` (Number)
- `in_rate` (Number)




<a id="nestedatt--vnfs"></a>
### Nested Schema for `vnfs`

Read-Only:

- `dhcp` (Attributes) (see [below for nested schema](#nestedatt--vnfs--dhcp))
- `gw` (Attributes) (see [below for nested schema](#nestedatt--vnfs--gw))
- `nat` (Attributes) (see [below for nested schema](#nestedatt--vnfs--nat))

<a id="nestedatt--vnfs--dhcp"></a>
### Nested Schema for `vnfs.dhcp`

Read-Only:

- `account_id` (Number)
- `ckey` (String)
- `config` (Attributes) (see [below for nested schema](#nestedatt--vnfs--dhcp--config))
- `created_time` (Number)
- `devices` (Attributes) (see [below for nested schema](#nestedatt--vnfs--dhcp--devices))
- `dhcp_id` (Number)
- `gid` (Number)
- `guid` (Number)
- `lock_status` (String)
- `milestones` (Number)
- `owner_id` (Number)
- `owner_type` (String)
- `pure_virtual` (Boolean)
- `routes` (Attributes List) (see [below for nested schema](#nestedatt--vnfs--dhcp--routes))
- `status` (String)
- `tech_status` (String)
- `type` (String)

<a id="nestedatt--vnfs--dhcp--config"></a>
### Nested Schema for `vnfs.dhcp.config`

Read-Only:

- `default_gw` (String)
- `dns` (List of String)
- `ip_end` (String)
- `ip_start` (String)
- `lease` (Number)
- `netmask` (Number)
- `network` (String)
- `reservations` (Attributes List) (see [below for nested schema](#nestedatt--vnfs--dhcp--config--reservations))

<a id="nestedatt--vnfs--dhcp--config--reservations"></a>
### Nested Schema for `vnfs.dhcp.config.reservations`

Read-Only:

- `client_type` (String)
- `desc` (String)
- `domainname` (String)
- `hostname` (String)
- `ip` (String)
- `mac` (String)
- `type` (String)
- `vm_id` (Number)



<a id="nestedatt--vnfs--dhcp--devices"></a>
### Nested Schema for `vnfs.dhcp.devices`

Read-Only:

- `primary` (Attributes) (see [below for nested schema](#nestedatt--vnfs--dhcp--devices--primary))

<a id="nestedatt--vnfs--dhcp--devices--primary"></a>
### Nested Schema for `vnfs.dhcp.devices.primary`

Read-Only:

- `dev_id` (Number)
- `iface01` (String)
- `iface02` (String)



<a id="nestedatt--vnfs--dhcp--routes"></a>
### Nested Schema for `vnfs.dhcp.routes`

Read-Only:

- `compute_ids` (List of Number)
- `destination` (String)
- `gateway` (String)
- `guid` (String)
- `netmask` (String)
- `route_id` (Number)



<a id="nestedatt--vnfs--gw"></a>
### Nested Schema for `vnfs.gw`

Read-Only:

- `account_id` (Number)
- `ckey` (String)
- `config` (Attributes) (see [below for nested schema](#nestedatt--vnfs--gw--config))
- `created_time` (Number)
- `devices` (Attributes) (see [below for nested schema](#nestedatt--vnfs--gw--devices))
- `gid` (Number)
- `guid` (Number)
- `gw_id` (Number)
- `lock_status` (String)
- `milestones` (Number)
- `owner_id` (Number)
- `owner_type` (String)
- `pure_virtual` (Boolean)
- `routes` (Attributes List) (see [below for nested schema](#nestedatt--vnfs--gw--routes))
- `status` (String)
- `tech_status` (String)
- `type` (String)

<a id="nestedatt--vnfs--gw--config"></a>
### Nested Schema for `vnfs.gw.config`

Read-Only:

- `default_gw` (String)
- `ext_net_id` (Number)
- `ext_net_ip` (String)
- `ext_netmask` (Number)
- `qos` (Attributes) (see [below for nested schema](#nestedatt--vnfs--gw--config--qos))

<a id="nestedatt--vnfs--gw--config--qos"></a>
### Nested Schema for `vnfs.gw.config.qos`

Read-Only:

- `e_rate` (Number)
- `guid` (String)
- `in_burst` (Number)
- `in_rate` (Number)



<a id="nestedatt--vnfs--gw--devices"></a>
### Nested Schema for `vnfs.gw.devices`

Read-Only:

- `primary` (Attributes) (see [below for nested schema](#nestedatt--vnfs--gw--devices--primary))

<a id="nestedatt--vnfs--gw--devices--primary"></a>
### Nested Schema for `vnfs.gw.devices.primary`

Read-Only:

- `dev_id` (Number)
- `iface01` (String)
- `iface02` (String)



<a id="nestedatt--vnfs--gw--routes"></a>
### Nested Schema for `vnfs.gw.routes`

Read-Only:

- `compute_ids` (List of Number)
- `destination` (String)
- `gateway` (String)
- `guid` (String)
- `netmask` (String)
- `route_id` (Number)



<a id="nestedatt--vnfs--nat"></a>
### Nested Schema for `vnfs.nat`

Read-Only:

- `account_id` (Number)
- `ckey` (String)
- `config` (Attributes) (see [below for nested schema](#nestedatt--vnfs--nat--config))
- `created_time` (Number)
- `devices` (Attributes) (see [below for nested schema](#nestedatt--vnfs--nat--devices))
- `gid` (Number)
- `guid` (Number)
- `lock_status` (String)
- `milestones` (Number)
- `nat_id` (Number)
- `owner_id` (Number)
- `owner_type` (String)
- `pure_virtual` (Boolean)
- `routes` (Attributes List) (see [below for nested schema](#nestedatt--vnfs--nat--routes))
- `status` (String)
- `tech_status` (String)
- `type` (String)

<a id="nestedatt--vnfs--nat--config"></a>
### Nested Schema for `vnfs.nat.config`

Read-Only:

- `net_mask` (Number)
- `network` (String)
- `rules` (Attributes List) (see [below for nested schema](#nestedatt--vnfs--nat--config--rules))

<a id="nestedatt--vnfs--nat--config--rules"></a>
### Nested Schema for `vnfs.nat.config.rules`

Read-Only:

- `local_ip` (String)
- `local_port` (Number)
- `protocol` (String)
- `public_port_end` (Number)
- `public_port_start` (Number)
- `rule_id` (Number)
- `vm_id` (Number)
- `vm_name` (String)



<a id="nestedatt--vnfs--nat--devices"></a>
### Nested Schema for `vnfs.nat.devices`

Read-Only:

- `primary` (Attributes) (see [below for nested schema](#nestedatt--vnfs--nat--devices--primary))

<a id="nestedatt--vnfs--nat--devices--primary"></a>
### Nested Schema for `vnfs.nat.devices.primary`

Read-Only:

- `dev_id` (Number)
- `iface01` (String)
- `iface02` (String)



<a id="nestedatt--vnfs--nat--routes"></a>
### Nested Schema for `vnfs.nat.routes`

Read-Only:

- `compute_ids` (List of Number)
- `destination` (String)
- `gateway` (String)
- `guid` (String)
- `netmask` (String)
- `route_id` (Number)
