---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "dynamix_disk Resource - terraform-provider-dynamix"
subcategory: ""
description: |-
  
---

# dynamix_disk (Resource)





<!-- schema generated by tfplugindocs -->
## Schema

### Required

- `account_id` (Number) ID of the account
- `disk_name` (String) Iname of disk
- `gid` (Number) ID of the grid (platform)
- `size_max` (Number) size in GB, default is 10

### Optional

- `desc` (String) description of disk
- `detach` (Boolean) Detaching the disk from compute
- `iotune` (Attributes) (see [below for nested schema](#nestedatt--iotune))
- `permanently` (Boolean) Whether to completely delete the disk, works only with non attached disks
- `pool` (String) Pool for disk location
- `reason` (String) Reason for deletion
- `sep_id` (Number) Storage endpoint provider ID to create disk
- `shareable` (Boolean) share disk
- `timeouts` (Block, Optional) (see [below for nested schema](#nestedblock--timeouts))
- `type` (String) (B;D;T) B=Boot;D=Data;T=Temp

### Read-Only

- `account_name` (String)
- `acl` (String)
- `computes` (Attributes List) (see [below for nested schema](#nestedatt--computes))
- `created_time` (Number)
- `deleted_time` (Number)
- `destruction_time` (Number)
- `devicename` (String)
- `disk_id` (Number)
- `id` (String) The ID of this resource.
- `image_id` (Number)
- `images` (List of String)
- `last_updated` (String) Timestamp of the last Terraform update of the disk resource.
- `order` (Number)
- `params` (String)
- `parent_id` (Number)
- `pci_slot` (Number)
- `present_to` (List of Number)
- `purge_time` (Number)
- `res_id` (String)
- `res_name` (String)
- `role` (String)
- `sep_type` (String)
- `size_used` (Number)
- `snapshots` (Attributes List) (see [below for nested schema](#nestedatt--snapshots))
- `status` (String)
- `tech_status` (String)
- `vmid` (Number)

<a id="nestedatt--iotune"></a>
### Nested Schema for `iotune`

Optional:

- `read_bytes_sec` (Number) Number of bytes to read per second
- `read_bytes_sec_max` (Number) Maximum number of bytes to read
- `read_iops_sec` (Number) Number of io read operations per second
- `read_iops_sec_max` (Number) Maximum number of io read operations
- `size_iops_sec` (Number) Size of io operations
- `total_bytes_sec` (Number) Total size bytes per second
- `total_bytes_sec_max` (Number) Maximum total size of bytes per second
- `total_iops_sec` (Number) Total number of io operations per second
- `total_iops_sec_max` (Number) Maximum total number of io operations per second
- `write_bytes_sec` (Number) Number of bytes to write per second
- `write_bytes_sec_max` (Number) Maximum number of bytes to write per second
- `write_iops_sec` (Number) Number of write operations per second
- `write_iops_sec_max` (Number) Maximum number of write operations per second


<a id="nestedblock--timeouts"></a>
### Nested Schema for `timeouts`

Optional:

- `create` (String) A string that can be [parsed as a duration](https://pkg.go.dev/time#ParseDuration) consisting of numbers and unit suffixes, such as "30s" or "2h45m". Valid time units are "s" (seconds), "m" (minutes), "h" (hours).
- `delete` (String) A string that can be [parsed as a duration](https://pkg.go.dev/time#ParseDuration) consisting of numbers and unit suffixes, such as "30s" or "2h45m". Valid time units are "s" (seconds), "m" (minutes), "h" (hours). Setting a timeout for a Delete operation is only applicable if changes are saved into state before the destroy operation occurs.
- `read` (String) A string that can be [parsed as a duration](https://pkg.go.dev/time#ParseDuration) consisting of numbers and unit suffixes, such as "30s" or "2h45m". Valid time units are "s" (seconds), "m" (minutes), "h" (hours). Read operations occur during any refresh or planning operation when refresh is enabled.
- `update` (String) A string that can be [parsed as a duration](https://pkg.go.dev/time#ParseDuration) consisting of numbers and unit suffixes, such as "30s" or "2h45m". Valid time units are "s" (seconds), "m" (minutes), "h" (hours).


<a id="nestedatt--computes"></a>
### Nested Schema for `computes`

Read-Only:

- `compute_id` (String)
- `compute_name` (String)


<a id="nestedatt--snapshots"></a>
### Nested Schema for `snapshots`

Read-Only:

- `guid` (String)
- `label` (String)
- `res_id` (String)
- `snap_set_guid` (String)
- `snap_set_time` (Number)
- `timestamp` (Number)
