---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "dynamix_kvmvm Resource - terraform-provider-dynamix"
subcategory: ""
description: |-
  
---

# dynamix_kvmvm (Resource)





<!-- schema generated by tfplugindocs -->
## Schema

### Required

- `cpu` (Number) Number of CPUs to allocate to this compute instance.
- `driver` (String) Hardware architecture of this compute instance.
- `name` (String) Name of this compute. Compute names are case sensitive and must be unique in the resource group.
- `ram` (Number) Amount of RAM in MB to allocate to this compute instance.
- `rg_id` (Number) ID of the resource group where this compute should be deployed.

### Optional

- `affinity_label` (String) Set affinity label for compute
- `affinity_rules` (Attributes Set) (see [below for nested schema](#nestedatt--affinity_rules))
- `anti_affinity_rules` (Attributes Set) (see [below for nested schema](#nestedatt--anti_affinity_rules))
- `auto_start` (Boolean) Flag for redeploy compute
- `boot_disk_size` (Number) This compute instance boot disk size in GB. Make sure it is large enough to accomodate selected OS image.
- `cd` (Attributes) (see [below for nested schema](#nestedatt--cd))
- `cloud_init` (String) Optional cloud_init parameters. Applied when creating new compute instance only, ignored in all other cases.
- `cpu_pin` (Boolean) Run VM on dedicated CPUs. To use this feature, the system must be pre-configured by allocating CPUs on the physical node.
- `custom_fields` (String) custom fields for Compute. Must be dict
- `data_disks` (String) Flag for redeploy compute
- `description` (String) Optional text description of this compute instance.
- `detach_disks` (Boolean)
- `enabled` (Boolean) If true - enable compute, else - disable
- `extra_disks` (Set of Number) Optional list of IDs of extra disks to attach to this compute. You may specify several extra disks.
- `force_resize` (Boolean) Flag for resize compute
- `force_stop` (Boolean) Flag for redeploy compute
- `hp_backed` (Boolean) Use Huge Pages to allocate RAM of the virtual machine. The system must be pre-configured by allocating Huge Pages on the physical node.
- `image_id` (Number) ID of the OS image to base this compute instance on.
- `ipa_type` (String) compute purpose
- `is` (String) system name
- `network` (Attributes Set) Optional network connection(s) for this compute. You may specify several network blocks, one for each connection. (see [below for nested schema](#nestedatt--network))
- `numa_affinity` (String) Rule for VM placement with NUMA affinity.
- `pause` (Boolean)
- `permanently` (Boolean)
- `pin_to_stack` (Boolean)
- `pool` (String) Pool to use if sepId is set, can be also empty if needed to be chosen by system.
- `port_forwarding` (Attributes Set) (see [below for nested schema](#nestedatt--port_forwarding))
- `reset` (Boolean)
- `restore` (Boolean)
- `rollback` (Attributes) (see [below for nested schema](#nestedatt--rollback))
- `sep_id` (Number) ID of SEP to create bootDisk on. Uses image's sepId if not set.
- `snapshot` (Attributes Set) (see [below for nested schema](#nestedatt--snapshot))
- `started` (Boolean) Is compute started.
- `stateless` (Boolean) Compute will be stateless (SVA_KVM_X86) if set to True
- `tags` (Attributes Set) (see [below for nested schema](#nestedatt--tags))
- `timeouts` (Block, Optional) (see [below for nested schema](#nestedblock--timeouts))
- `user_access` (Attributes Set) (see [below for nested schema](#nestedatt--user_access))
- `without_boot_disk` (Boolean) If True, the imageId, bootDisk, sepId, pool parameters are ignored and the compute is created without a boot disk in the stopped state.

### Read-Only

- `account_id` (Number)
- `account_name` (String)
- `acl` (Attributes) (see [below for nested schema](#nestedatt--acl))
- `affinity_weight` (Number)
- `arch` (String)
- `boot_disk` (Attributes) (see [below for nested schema](#nestedatt--boot_disk))
- `boot_disk_id` (Number)
- `boot_order` (List of String)
- `cd_image_id` (Number)
- `clone_reference` (Number)
- `clones` (List of Number)
- `compute_id` (Number)
- `computeci_id` (Number)
- `created_by` (String)
- `created_time` (Number)
- `deleted_by` (String)
- `deleted_time` (Number)
- `devices` (String)
- `disks` (Attributes List) (see [below for nested schema](#nestedatt--disks))
- `gid` (Number)
- `guid` (Number)
- `id` (String) The ID of this resource.
- `image_name` (String)
- `interfaces` (Attributes List) (see [below for nested schema](#nestedatt--interfaces))
- `lock_status` (String)
- `manager_id` (Number)
- `manager_type` (String)
- `migrationjob` (Number)
- `milestones` (Number)
- `natable_vins_id` (Number)
- `natable_vins_ip` (String)
- `natable_vins_name` (String)
- `natable_vins_network` (String)
- `natable_vins_network_name` (String)
- `need_reboot` (Boolean)
- `numa_node_id` (Number)
- `os_users` (Attributes List) (see [below for nested schema](#nestedatt--os_users))
- `pinned` (Boolean)
- `reference_id` (String)
- `registered` (Boolean)
- `res_name` (String)
- `reserved_node_cpus` (List of Number)
- `rg_name` (String)
- `snap_sets` (Attributes List) (see [below for nested schema](#nestedatt--snap_sets))
- `stateless_sep_id` (Number)
- `stateless_sep_type` (String)
- `status` (String)
- `tech_status` (String)
- `updated_by` (String)
- `updated_time` (Number)
- `user_data` (String)
- `user_managed` (Boolean)
- `vgpus` (List of Number)
- `virtual_image_id` (Number)
- `virtual_image_name` (String)

<a id="nestedatt--affinity_rules"></a>
### Nested Schema for `affinity_rules`

Required:

- `key` (String) key that are taken into account when analyzing this rule will be identified
- `mode` (String) EQ or NE or ANY - the comparison mode is 'value', recorded by the specified 'key'
- `policy` (String) RECOMMENDED or REQUIRED, the degree of 'strictness' of this rule
- `topology` (String) compute or node, for whom rule applies

Optional:

- `value` (String) value that must match the key to be taken into account when analyzing this rule


<a id="nestedatt--anti_affinity_rules"></a>
### Nested Schema for `anti_affinity_rules`

Required:

- `key` (String) key that are taken into account when analyzing this rule will be identified
- `mode` (String) EQ or NE or ANY - the comparison mode is 'value', recorded by the specified 'key'
- `policy` (String) RECOMMENDED or REQUIRED, the degree of 'strictness' of this rule
- `topology` (String) compute or node, for whom rule applies

Optional:

- `value` (String) value that must match the key to be taken into account when analyzing this rule


<a id="nestedatt--cd"></a>
### Nested Schema for `cd`

Required:

- `cdrom_id` (Number)


<a id="nestedatt--network"></a>
### Nested Schema for `network`

Required:

- `net_id` (Number) ID of the network for this connection.
- `net_type` (String) Type of the network for this connection, either EXTNET or VINS.

Optional:

- `ip_address` (String) Optional IP address to assign to this connection. This IP should belong to the selected network and free for use.

Read-Only:

- `mac` (String) MAC address associated with this connection. MAC address is assigned automatically.


<a id="nestedatt--port_forwarding"></a>
### Nested Schema for `port_forwarding`

Required:

- `proto` (String)
- `public_port_start` (Number)

Optional:

- `local_port` (Number)
- `public_port_end` (Number)


<a id="nestedatt--rollback"></a>
### Nested Schema for `rollback`

Required:

- `label` (String)


<a id="nestedatt--snapshot"></a>
### Nested Schema for `snapshot`

Required:

- `label` (String)


<a id="nestedatt--tags"></a>
### Nested Schema for `tags`

Required:

- `key` (String)
- `value` (String)


<a id="nestedblock--timeouts"></a>
### Nested Schema for `timeouts`

Optional:

- `create` (String) A string that can be [parsed as a duration](https://pkg.go.dev/time#ParseDuration) consisting of numbers and unit suffixes, such as "30s" or "2h45m". Valid time units are "s" (seconds), "m" (minutes), "h" (hours).
- `delete` (String) A string that can be [parsed as a duration](https://pkg.go.dev/time#ParseDuration) consisting of numbers and unit suffixes, such as "30s" or "2h45m". Valid time units are "s" (seconds), "m" (minutes), "h" (hours). Setting a timeout for a Delete operation is only applicable if changes are saved into state before the destroy operation occurs.
- `read` (String) A string that can be [parsed as a duration](https://pkg.go.dev/time#ParseDuration) consisting of numbers and unit suffixes, such as "30s" or "2h45m". Valid time units are "s" (seconds), "m" (minutes), "h" (hours). Read operations occur during any refresh or planning operation when refresh is enabled.
- `update` (String) A string that can be [parsed as a duration](https://pkg.go.dev/time#ParseDuration) consisting of numbers and unit suffixes, such as "30s" or "2h45m". Valid time units are "s" (seconds), "m" (minutes), "h" (hours).


<a id="nestedatt--user_access"></a>
### Nested Schema for `user_access`

Required:

- `access_type` (String)
- `username` (String)


<a id="nestedatt--acl"></a>
### Nested Schema for `acl`

Read-Only:

- `account_acl` (Attributes List) (see [below for nested schema](#nestedatt--acl--account_acl))
- `compute_acl` (Attributes List) (see [below for nested schema](#nestedatt--acl--compute_acl))
- `rg_acl` (Attributes List) (see [below for nested schema](#nestedatt--acl--rg_acl))

<a id="nestedatt--acl--account_acl"></a>
### Nested Schema for `acl.account_acl`

Read-Only:

- `explicit` (Boolean)
- `guid` (String)
- `right` (String)
- `status` (String)
- `type` (String)
- `user_group_id` (String)


<a id="nestedatt--acl--compute_acl"></a>
### Nested Schema for `acl.compute_acl`

Read-Only:

- `explicit` (Boolean)
- `guid` (String)
- `right` (String)
- `status` (String)
- `type` (String)
- `user_group_id` (String)


<a id="nestedatt--acl--rg_acl"></a>
### Nested Schema for `acl.rg_acl`

Read-Only:

- `explicit` (Boolean)
- `guid` (String)
- `right` (String)
- `status` (String)
- `type` (String)
- `user_group_id` (String)



<a id="nestedatt--boot_disk"></a>
### Nested Schema for `boot_disk`

Read-Only:

- `account_id` (Number)
- `acl` (String)
- `boot_partition` (Number)
- `ckey` (String)
- `created_time` (Number)
- `deleted_time` (Number)
- `desc` (String)
- `destruction_time` (Number)
- `disk_id` (Number)
- `disk_path` (String)
- `gid` (Number)
- `guid` (Number)
- `image_id` (Number)
- `images` (List of String)
- `iotune` (Attributes) (see [below for nested schema](#nestedatt--boot_disk--iotune))
- `iqn` (String)
- `login` (String)
- `milestones` (Number)
- `name` (String)
- `order` (Number)
- `params` (String)
- `parent_id` (Number)
- `passwd` (String)
- `pci_slot` (Number)
- `pool` (String)
- `present_to` (List of Number)
- `purge_time` (Number)
- `reality_device_number` (Number)
- `reference_id` (String)
- `replication` (Attributes) (see [below for nested schema](#nestedatt--boot_disk--replication))
- `res_id` (String)
- `role` (String)
- `sep_id` (Number)
- `shareable` (Boolean)
- `size_max` (Number)
- `size_used` (Number)
- `snapshots` (Attributes List) (see [below for nested schema](#nestedatt--boot_disk--snapshots))
- `status` (String)
- `tech_status` (String)
- `type` (String)
- `vmid` (Number)

<a id="nestedatt--boot_disk--iotune"></a>
### Nested Schema for `boot_disk.iotune`

Read-Only:

- `read_bytes_sec` (Number)
- `read_bytes_sec_max` (Number)
- `read_iops_sec` (Number)
- `read_iops_sec_max` (Number)
- `size_iops_sec` (Number)
- `total_bytes_sec` (Number)
- `total_bytes_sec_max` (Number)
- `total_iops_sec` (Number)
- `total_iops_sec_max` (Number)
- `write_bytes_sec` (Number)
- `write_bytes_sec_max` (Number)
- `write_iops_sec` (Number)
- `write_iops_sec_max` (Number)


<a id="nestedatt--boot_disk--replication"></a>
### Nested Schema for `boot_disk.replication`

Read-Only:

- `disk_id` (Number)
- `pool_id` (String)
- `role` (String)
- `self_volume_id` (String)
- `storage_id` (String)
- `volume_id` (String)


<a id="nestedatt--boot_disk--snapshots"></a>
### Nested Schema for `boot_disk.snapshots`

Read-Only:

- `guid` (String)
- `label` (String)
- `reference_id` (String)
- `res_id` (String)
- `snap_set_guid` (String)
- `snap_set_time` (Number)
- `timestamp` (Number)



<a id="nestedatt--disks"></a>
### Nested Schema for `disks`

Read-Only:

- `account_id` (Number)
- `acl` (String)
- `boot_partition` (Number)
- `ckey` (String)
- `created_time` (Number)
- `deleted_time` (Number)
- `desc` (String)
- `destruction_time` (Number)
- `disk_id` (Number)
- `disk_path` (String)
- `gid` (Number)
- `guid` (Number)
- `image_id` (Number)
- `images` (List of String)
- `iotune` (Attributes) (see [below for nested schema](#nestedatt--disks--iotune))
- `iqn` (String)
- `login` (String)
- `milestones` (Number)
- `name` (String)
- `order` (Number)
- `params` (String)
- `parent_id` (Number)
- `passwd` (String)
- `pci_slot` (Number)
- `pool` (String)
- `present_to` (List of Number)
- `purge_time` (Number)
- `reality_device_number` (Number)
- `reference_id` (String)
- `replication` (Attributes) (see [below for nested schema](#nestedatt--disks--replication))
- `res_id` (String)
- `role` (String)
- `sep_id` (Number)
- `shareable` (Boolean)
- `size_max` (Number)
- `size_used` (Number)
- `snapshots` (Attributes List) (see [below for nested schema](#nestedatt--disks--snapshots))
- `status` (String)
- `tech_status` (String)
- `type` (String)
- `vmid` (Number)

<a id="nestedatt--disks--iotune"></a>
### Nested Schema for `disks.iotune`

Read-Only:

- `read_bytes_sec` (Number)
- `read_bytes_sec_max` (Number)
- `read_iops_sec` (Number)
- `read_iops_sec_max` (Number)
- `size_iops_sec` (Number)
- `total_bytes_sec` (Number)
- `total_bytes_sec_max` (Number)
- `total_iops_sec` (Number)
- `total_iops_sec_max` (Number)
- `write_bytes_sec` (Number)
- `write_bytes_sec_max` (Number)
- `write_iops_sec` (Number)
- `write_iops_sec_max` (Number)


<a id="nestedatt--disks--replication"></a>
### Nested Schema for `disks.replication`

Read-Only:

- `disk_id` (Number)
- `pool_id` (String)
- `role` (String)
- `self_volume_id` (String)
- `storage_id` (String)
- `volume_id` (String)


<a id="nestedatt--disks--snapshots"></a>
### Nested Schema for `disks.snapshots`

Read-Only:

- `guid` (String)
- `label` (String)
- `reference_id` (String)
- `res_id` (String)
- `snap_set_guid` (String)
- `snap_set_time` (Number)
- `timestamp` (Number)



<a id="nestedatt--interfaces"></a>
### Nested Schema for `interfaces`

Read-Only:

- `conn_id` (Number)
- `conn_type` (String)
- `enabled` (Boolean)
- `flip_group_id` (Number)
- `get_gw` (String)
- `guid` (String)
- `ip_address` (String)
- `listen_ssh` (Boolean)
- `mac` (String)
- `name` (String)
- `net_id` (Number)
- `net_type` (String)
- `netmask` (Number)
- `node_id` (Number)
- `pci_slot` (Number)
- `qos` (Attributes) (see [below for nested schema](#nestedatt--interfaces--qos))
- `target` (String)
- `type` (String)
- `vnfs` (List of Number)

<a id="nestedatt--interfaces--qos"></a>
### Nested Schema for `interfaces.qos`

Read-Only:

- `e_rate` (Number)
- `guid` (String)
- `in_burst` (Number)
- `in_rate` (Number)



<a id="nestedatt--os_users"></a>
### Nested Schema for `os_users`

Read-Only:

- `guid` (String)
- `login` (String)
- `password` (String)
- `public_key` (String)


<a id="nestedatt--snap_sets"></a>
### Nested Schema for `snap_sets`

Read-Only:

- `disks` (List of Number)
- `guid` (String)
- `label` (String)
- `timestamp` (Number)
