---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "dynamix_lb Resource - terraform-provider-dynamix"
subcategory: ""
description: |-
  
---

# dynamix_lb (Resource)





<!-- schema generated by tfplugindocs -->
## Schema

### Required

- `extnet_id` (Number)
- `name` (String)
- `rg_id` (Number)
- `start` (Boolean)
- `vins_id` (Number)

### Optional

- `config_reset` (Boolean)
- `desc` (String)
- `enable` (Boolean)
- `ha_mode` (Boolean)
- `permanently` (Boolean)
- `restart` (Boolean)
- `restore` (Boolean)
- `safe` (Boolean)
- `sysctl_params` (Attributes List) Custom sysctl values for Load Balancer instance. Applied on boot. (see [below for nested schema](#nestedatt--sysctl_params))
- `timeouts` (Block, Optional) (see [below for nested schema](#nestedblock--timeouts))

### Read-Only

- `acl` (String)
- `backend_haip` (String)
- `backends` (Attributes List) (see [below for nested schema](#nestedatt--backends))
- `created_by` (String)
- `created_time` (Number)
- `deleted_by` (String)
- `deleted_time` (Number)
- `dp_api_user` (String)
- `frontend_haip` (String)
- `frontends` (Attributes List) (see [below for nested schema](#nestedatt--frontends))
- `gid` (Number)
- `guid` (Number)
- `id` (String) The ID of this resource.
- `image_id` (Number)
- `lb_id` (Number)
- `manager_id` (Number)
- `manager_type` (String)
- `milestones` (Number)
- `part_k8s` (Boolean)
- `primary_node` (Attributes) (see [below for nested schema](#nestedatt--primary_node))
- `rg_name` (String)
- `secondary_node` (Attributes) (see [below for nested schema](#nestedatt--secondary_node))
- `status` (String)
- `tech_status` (String)
- `updated_by` (String)
- `updated_time` (Number)
- `user_managed` (Boolean)

<a id="nestedatt--sysctl_params"></a>
### Nested Schema for `sysctl_params`

Required:

- `key` (String)
- `value` (String)


<a id="nestedblock--timeouts"></a>
### Nested Schema for `timeouts`

Optional:

- `create` (String) A string that can be [parsed as a duration](https://pkg.go.dev/time#ParseDuration) consisting of numbers and unit suffixes, such as "30s" or "2h45m". Valid time units are "s" (seconds), "m" (minutes), "h" (hours).
- `delete` (String) A string that can be [parsed as a duration](https://pkg.go.dev/time#ParseDuration) consisting of numbers and unit suffixes, such as "30s" or "2h45m". Valid time units are "s" (seconds), "m" (minutes), "h" (hours). Setting a timeout for a Delete operation is only applicable if changes are saved into state before the destroy operation occurs.
- `read` (String) A string that can be [parsed as a duration](https://pkg.go.dev/time#ParseDuration) consisting of numbers and unit suffixes, such as "30s" or "2h45m". Valid time units are "s" (seconds), "m" (minutes), "h" (hours). Read operations occur during any refresh or planning operation when refresh is enabled.
- `update` (String) A string that can be [parsed as a duration](https://pkg.go.dev/time#ParseDuration) consisting of numbers and unit suffixes, such as "30s" or "2h45m". Valid time units are "s" (seconds), "m" (minutes), "h" (hours).


<a id="nestedatt--backends"></a>
### Nested Schema for `backends`

Read-Only:

- `algorithm` (String)
- `guid` (String)
- `name` (String)
- `server_default_settings` (Attributes) (see [below for nested schema](#nestedatt--backends--server_default_settings))
- `servers` (Attributes List) (see [below for nested schema](#nestedatt--backends--servers))

<a id="nestedatt--backends--server_default_settings"></a>
### Nested Schema for `backends.server_default_settings`

Read-Only:

- `downinter` (Number)
- `fall` (Number)
- `guid` (String)
- `inter` (Number)
- `maxconn` (Number)
- `maxqueue` (Number)
- `rise` (Number)
- `slowstart` (Number)
- `weight` (Number)


<a id="nestedatt--backends--servers"></a>
### Nested Schema for `backends.servers`

Read-Only:

- `address` (String)
- `check` (String)
- `guid` (String)
- `name` (String)
- `port` (Number)
- `server_settings` (Attributes) (see [below for nested schema](#nestedatt--backends--servers--server_settings))

<a id="nestedatt--backends--servers--server_settings"></a>
### Nested Schema for `backends.servers.server_settings`

Read-Only:

- `downinter` (Number)
- `fall` (Number)
- `guid` (String)
- `inter` (Number)
- `maxconn` (Number)
- `maxqueue` (Number)
- `rise` (Number)
- `slowstart` (Number)
- `weight` (Number)




<a id="nestedatt--frontends"></a>
### Nested Schema for `frontends`

Read-Only:

- `backend` (String)
- `bindings` (Attributes List) (see [below for nested schema](#nestedatt--frontends--bindings))
- `guid` (String)
- `name` (String)

<a id="nestedatt--frontends--bindings"></a>
### Nested Schema for `frontends.bindings`

Read-Only:

- `address` (String)
- `guid` (String)
- `name` (String)
- `port` (Number)



<a id="nestedatt--primary_node"></a>
### Nested Schema for `primary_node`

Read-Only:

- `backend_ip` (String)
- `compute_id` (Number)
- `frontend_ip` (String)
- `guid` (String)
- `mgmt_ip` (String)
- `network_id` (Number)


<a id="nestedatt--secondary_node"></a>
### Nested Schema for `secondary_node`

Read-Only:

- `backend_ip` (String)
- `compute_id` (Number)
- `frontend_ip` (String)
- `guid` (String)
- `mgmt_ip` (String)
- `network_id` (Number)
