---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "dynamix_resgroup Resource - terraform-provider-dynamix"
subcategory: ""
description: |-
  
---

# dynamix_resgroup (Resource)





<!-- schema generated by tfplugindocs -->
## Schema

### Required

- `account_id` (Number) account, which will own this resource group
- `gid` (Number) grid id
- `name` (String) name of this RG. Must be unique within the account.

### Optional

- `access` (Attributes List) Grant/revoke user or group access to the Resource group as specified (see [below for nested schema](#nestedatt--access))
- `def_net` (Attributes) Set default network for attach associated VMs (see [below for nested schema](#nestedatt--def_net))
- `def_net_type` (String) type of the default network for this RG. VMs created in this RG will be by default connected to this network. Allowed values are PRIVATE, PUBLIC, NONE.
- `description` (String) User-defined text description of this resource group.
- `enable` (Boolean) flag for enable/disable RG
- `ext_ip` (String) IP address on the external network to request when def_net_type=PRIVATE and ext_net_id is not 0.
- `ext_net_id` (Number) external network id
- `force` (Boolean) Set to True if you want force delete non-empty RG
- `ipcidr` (String) private network IP CIDR if default network PRIVATE
- `owner` (String) username - owner of this RG. Leave blank to set current user as owner
- `permanently` (Boolean) Set to True if you want force delete non-empty RG
- `quota` (Attributes) Quota settings for this resource group. (see [below for nested schema](#nestedatt--quota))
- `reason` (String) Set to True if you want force delete non-empty RG
- `register_computes` (Boolean) Register computes in registration system
- `restore` (Boolean)
- `timeouts` (Block, Optional) (see [below for nested schema](#nestedblock--timeouts))

### Read-Only

- `account_name` (String)
- `acl` (Attributes List) (see [below for nested schema](#nestedatt--acl))
- `compute_features` (List of String)
- `cpu_allocation_parameter` (String)
- `cpu_allocation_ratio` (Number)
- `def_net_id` (Number)
- `deleted_by` (String)
- `deleted_time` (Number)
- `dirty` (Boolean)
- `guid` (Number)
- `id` (String) The ID of this resource.
- `last_updated` (String)
- `lock_status` (String)
- `milestones` (Number)
- `res_types` (List of String)
- `rg_id` (Number)
- `secret` (String)
- `status` (String)
- `uniq_pools` (List of String)
- `updated_by` (String)
- `updated_time` (Number)
- `vins` (List of Number)
- `vms` (List of Number)

<a id="nestedatt--access"></a>
### Nested Schema for `access`

Required:

- `right` (String) Access rights to set, one of 'R', 'RCX' or 'ARCXDU'
- `user` (String) User or group name to grant access

Optional:

- `reason` (String) Reason for action


<a id="nestedatt--def_net"></a>
### Nested Schema for `def_net`

Required:

- `net_type` (String) Network type to set. Must be on of 'PRIVATE' or 'PUBLIC'.

Optional:

- `net_id` (Number) Network segment ID. If netType is PUBLIC and netId is 0 then default external network segment will be selected. If netType is PRIVATE and netId=0, the first ViNS defined for this RG will be selected. Otherwise, netId identifies either existing external network segment or ViNS.
- `reason` (String) Reason for action


<a id="nestedatt--quota"></a>
### Nested Schema for `quota`

Optional:

- `cpu` (Number) Limit on the total number of CPUs in this resource group.
- `disk` (Number) Limit on the total volume of storage resources in this resource group, specified in GB.
- `ext_ips` (Number) Limit on the total number of external IP addresses this resource group can use.
- `ext_traffic` (Number) Limit on the total ingress network traffic for this resource group, specified in GB.
- `ram` (Number) Limit on the total amount of RAM in this resource group, specified in MB.

Read-Only:

- `cu_d` (Number) Limit on the total volume of storage resources in this resource group, specified in GB.
- `gpu_units` (Number) Limit on the total number of virtual GPUs this resource group can use.


<a id="nestedblock--timeouts"></a>
### Nested Schema for `timeouts`

Optional:

- `create` (String) A string that can be [parsed as a duration](https://pkg.go.dev/time#ParseDuration) consisting of numbers and unit suffixes, such as "30s" or "2h45m". Valid time units are "s" (seconds), "m" (minutes), "h" (hours).
- `delete` (String) A string that can be [parsed as a duration](https://pkg.go.dev/time#ParseDuration) consisting of numbers and unit suffixes, such as "30s" or "2h45m". Valid time units are "s" (seconds), "m" (minutes), "h" (hours). Setting a timeout for a Delete operation is only applicable if changes are saved into state before the destroy operation occurs.
- `read` (String) A string that can be [parsed as a duration](https://pkg.go.dev/time#ParseDuration) consisting of numbers and unit suffixes, such as "30s" or "2h45m". Valid time units are "s" (seconds), "m" (minutes), "h" (hours). Read operations occur during any refresh or planning operation when refresh is enabled.
- `update` (String) A string that can be [parsed as a duration](https://pkg.go.dev/time#ParseDuration) consisting of numbers and unit suffixes, such as "30s" or "2h45m". Valid time units are "s" (seconds), "m" (minutes), "h" (hours).


<a id="nestedatt--acl"></a>
### Nested Schema for `acl`

Read-Only:

- `explicit` (Boolean)
- `guid` (String)
- `right` (String)
- `status` (String)
- `type` (String)
- `user_group_id` (String)
