package models

import (
	"github.com/hashicorp/terraform-plugin-framework-timeouts/datasource/timeouts"
	"github.com/hashicorp/terraform-plugin-framework/types"
)

type DataSourceAccountFlipgroupsListModel struct {
	// optional and required fields
	AccountID   types.Int64    `tfsdk:"account_id"`
	Name        types.String   `tfsdk:"name"`
	VINSID      types.Int64    `tfsdk:"vins_id"`
	VINSName    types.String   `tfsdk:"vins_name"`
	ExtNetID    types.Int64    `tfsdk:"extnet_id"`
	ByIP        types.String   `tfsdk:"by_ip"`
	FLIPGroupID types.Int64    `tfsdk:"flipgroup_id"`
	Page        types.Int64    `tfsdk:"page"`
	Size        types.Int64    `tfsdk:"size"`
	Timeouts    timeouts.Value `tfsdk:"timeouts"`

	// response fields
	Id         types.String                `tfsdk:"id"`
	Items      []ItemAccountFlipgroupModel `tfsdk:"items"`
	EntryCount types.Int64                 `tfsdk:"entry_count"`
}

type ItemAccountFlipgroupModel struct {
	AccountID   types.Int64  `tfsdk:"account_id"`
	ClientType  types.String `tfsdk:"client_type"`
	ConnType    types.String `tfsdk:"conn_type"`
	CreatedBy   types.String `tfsdk:"created_by"`
	CreatedTime types.Int64  `tfsdk:"created_time"`
	DefaultGW   types.String `tfsdk:"default_gw"`
	DeletedBy   types.String `tfsdk:"deleted_by"`
	DeletedTime types.Int64  `tfsdk:"deleted_time"`
	Description types.String `tfsdk:"desc"`
	GID         types.Int64  `tfsdk:"gid"`
	GUID        types.Int64  `tfsdk:"guid"`
	ID          types.Int64  `tfsdk:"fg_id"`
	IP          types.String `tfsdk:"ip"`
	Milestones  types.Int64  `tfsdk:"milestones"`
	Name        types.String `tfsdk:"fg_name"`
	NetID       types.Int64  `tfsdk:"net_id"`
	NetType     types.String `tfsdk:"net_type"`
	NetMask     types.Int64  `tfsdk:"netmask"`
	Status      types.String `tfsdk:"status"`
	UpdatedBy   types.String `tfsdk:"updated_by"`
	UpdatedTime types.Int64  `tfsdk:"updated_time"`
}
