package models

import (
	"github.com/hashicorp/terraform-plugin-framework-timeouts/datasource/timeouts"
	"github.com/hashicorp/terraform-plugin-framework/types"
)

type DataSourceAccountListDeletedModel struct {
	// optional fields
	ByID     types.Int64    `tfsdk:"by_id"`
	Name     types.String   `tfsdk:"name"`
	ACL      types.String   `tfsdk:"acl"`
	Page     types.Int64    `tfsdk:"page"`
	Size     types.Int64    `tfsdk:"size"`
	Timeouts timeouts.Value `tfsdk:"timeouts"`
	SortBy   types.String   `tfsdk:"sort_by"`

	// response fields
	Id         types.String                  `tfsdk:"id"`
	Items      []ItemAccountListDeletedModel `tfsdk:"items"`
	EntryCount types.Int64                   `tfsdk:"entry_count"`
}

type ItemAccountListDeletedModel struct {
	ACL             []RecordACLModel `tfsdk:"acl"`
	CreatedTime     types.Int64      `tfsdk:"created_time"`
	DeletedTime     types.Int64      `tfsdk:"deleted_time"`
	AccountID       types.Int64      `tfsdk:"account_id"`
	AccountName     types.String     `tfsdk:"account_name"`
	Status          types.String     `tfsdk:"status"`
	UpdatedTime     types.Int64      `tfsdk:"updated_time"`
	ComputeFeatures types.List       `tfsdk:"compute_features"`
}
