package schemas

import (
	"github.com/hashicorp/terraform-plugin-framework/datasource/schema"
)

func MakeSchemaDataSourceAccountConsumedUnits() map[string]schema.Attribute {
	return map[string]schema.Attribute{
		// required attributes
		"account_id": schema.Int64Attribute{
			Required:    true,
			Description: "account id",
		},

		// computed attributes
		"id": schema.StringAttribute{
			Computed: true,
		},
		"cu_c": schema.Float64Attribute{
			Computed: true,
		},
		"cu_d": schema.Float64Attribute{
			Computed: true,
		},
		"cu_dm": schema.Float64Attribute{
			Computed: true,
		},
		"cu_i": schema.Float64Attribute{
			Computed: true,
		},
		"cu_m": schema.Float64Attribute{
			Computed: true,
		},
		"cu_np": schema.Float64Attribute{
			Computed: true,
		},
		"gpu_units": schema.Float64Attribute{
			Computed: true,
		},
	}
}
