package schemas

import (
	"github.com/hashicorp/terraform-plugin-framework/datasource/schema"
)

func MakeSchemaDataSourceAccountConsumedUnitsByType() map[string]schema.Attribute {
	return map[string]schema.Attribute{
		// required attributes
		"account_id": schema.Int64Attribute{
			Required:    true,
			Description: "account id",
		},
		"cu_type": schema.StringAttribute{
			Required:    true,
			Description: "cloud unit resource type",
		},

		// computed attributes
		"id": schema.StringAttribute{
			Computed: true,
		},
		"cu_result": schema.Float64Attribute{
			Computed: true,
		},
	}
}
