package models

import (
	"github.com/hashicorp/terraform-plugin-framework-timeouts/datasource/timeouts"
	"github.com/hashicorp/terraform-plugin-framework/types"
)

type ListInfoSnapshotsModel struct {
	//required fields
	ServiceID types.Int64 `tfsdk:"service_id"`

	//computed fields
	Data       []ItemSnapshotsModel `tfsdk:"items"`
	EntryCount types.Int64          `tfsdk:"entry_count"`
	Timeouts   timeouts.Value       `tfsdk:"timeouts"`
}

type ItemSnapshotsModel struct {
	GUID      types.String `tfsdk:"guid"`
	Label     types.String `tfsdk:"label"`
	Timestamp types.Int64  `tfsdk:"timestamp"`
	Valid     types.Bool   `tfsdk:"valid"`
}
