package models

import (
	"github.com/hashicorp/terraform-plugin-framework-timeouts/datasource/timeouts"
	"github.com/hashicorp/terraform-plugin-framework/types"
)

type DataSourceDiskModel struct {
	// request fields
	DiskID   types.Int64    `tfsdk:"disk_id"`
	Timeouts timeouts.Value `tfsdk:"timeouts"`

	// response fields
	Id              types.String  `tfsdk:"id"`
	ACL             types.String  `tfsdk:"acl"`
	AccountID       types.Int64   `tfsdk:"account_id"`
	AccountName     types.String  `tfsdk:"account_name"`
	Computes        types.List    `tfsdk:"computes"`
	CreatedTime     types.Int64   `tfsdk:"created_time"`
	DeletedTime     types.Int64   `tfsdk:"deleted_time"`
	DeviceName      types.String  `tfsdk:"devicename"`
	Description     types.String  `tfsdk:"desc"`
	DestructionTime types.Int64   `tfsdk:"destruction_time"`
	GID             types.Int64   `tfsdk:"gid"`
	ImageID         types.Int64   `tfsdk:"image_id"`
	Images          types.List    `tfsdk:"images"`
	IOTune          types.Object  `tfsdk:"iotune"`
	Name            types.String  `tfsdk:"disk_name"`
	Order           types.Int64   `tfsdk:"order"`
	Params          types.String  `tfsdk:"params"`
	ParentID        types.Int64   `tfsdk:"parent_id"`
	PCISlot         types.Int64   `tfsdk:"pci_slot"`
	Pool            types.String  `tfsdk:"pool"`
	PresentTo       types.List    `tfsdk:"present_to"`
	PurgeTime       types.Int64   `tfsdk:"purge_time"`
	ResID           types.String  `tfsdk:"res_id"`
	ResName         types.String  `tfsdk:"res_name"`
	Role            types.String  `tfsdk:"role"`
	SepType         types.String  `tfsdk:"sep_type"`
	SepID           types.Int64   `tfsdk:"sep_id"`
	Shareable       types.Bool    `tfsdk:"shareable"`
	SizeMax         types.Int64   `tfsdk:"size_max"`
	SizeUsed        types.Float64 `tfsdk:"size_used"`
	Snapshots       types.List    `tfsdk:"snapshots"`
	Status          types.String  `tfsdk:"status"`
	TechStatus      types.String  `tfsdk:"tech_status"`
	Type            types.String  `tfsdk:"type"`
	VMID            types.Int64   `tfsdk:"vmid"`
}
