package models

import (
	"github.com/hashicorp/terraform-plugin-framework-timeouts/datasource/timeouts"
	"github.com/hashicorp/terraform-plugin-framework/types"
)

type DataSourceDiskListDeletedModel struct {
	// request fields
	ByID        types.Int64    `tfsdk:"by_id"`
	Name        types.String   `tfsdk:"name"`
	AccountName types.String   `tfsdk:"account_name"`
	DiskMaxSize types.Int64    `tfsdk:"disk_max_size"`
	Shared      types.Bool     `tfsdk:"shared"`
	AccountID   types.Int64    `tfsdk:"account_id"`
	Type        types.String   `tfsdk:"type"`
	SortBy      types.String   `tfsdk:"sort_by"`
	Page        types.Int64    `tfsdk:"page"`
	Size        types.Int64    `tfsdk:"size"`
	Timeouts    timeouts.Value `tfsdk:"timeouts"`

	// response fields
	Id         types.String    `tfsdk:"id"`
	Items      []ItemDiskModel `tfsdk:"items"`
	EntryCount types.Int64     `tfsdk:"entry_count"`
}
