package schemas

import (
	"github.com/hashicorp/terraform-plugin-framework/datasource/schema"
	"github.com/hashicorp/terraform-plugin-framework/types"
)

func MakeSchemaDataSourceRGAffinityGroupsGet() map[string]schema.Attribute {
	return map[string]schema.Attribute{
		// required attributes
		"rg_id": schema.Int64Attribute{
			Required:    true,
			Description: "find by rg id",
		},
		"affinity_group": schema.StringAttribute{
			Required:    true,
			Description: "Affinity group label",
		},

		//computed attributes
		"id": schema.StringAttribute{
			Computed: true,
		},
		"ids": schema.ListAttribute{
			Computed:    true,
			ElementType: types.Int64Type,
		},
	}
}
