package schemas

import (
	"github.com/hashicorp/terraform-plugin-framework/datasource/schema"
)

func MakeSchemaDataSourceRGListPFW() map[string]schema.Attribute {
	return map[string]schema.Attribute{
		// required attributes
		"rg_id": schema.Int64Attribute{
			Required:    true,
			Description: "ID of the RG",
		},

		// computed attributes
		"id": schema.StringAttribute{
			Optional: true,
		},
		"items": schema.ListNestedAttribute{
			Computed: true,
			NestedObject: schema.NestedAttributeObject{
				Attributes: map[string]schema.Attribute{
					"public_port_end": schema.Int64Attribute{
						Computed: true,
					},
					"public_port_start": schema.Int64Attribute{
						Computed: true,
					},
					"vm_id": schema.Int64Attribute{
						Computed: true,
					},
					"vm_ip": schema.StringAttribute{
						Computed: true,
					},
					"vm_name": schema.StringAttribute{
						Computed: true,
					},
					"vm_port": schema.Int64Attribute{
						Computed: true,
					},
					"vins_id": schema.Int64Attribute{
						Computed: true,
					},
					"vins_name": schema.StringAttribute{
						Computed: true,
					},
				},
			},
		},
		"entry_count": schema.Int64Attribute{
			Computed: true,
		},
	}
}
