package schemas

import (
	"github.com/hashicorp/terraform-plugin-framework/datasource/schema"
)

func MakeSchemaDataSourceRGUsage() map[string]schema.Attribute {
	return map[string]schema.Attribute{
		// required attributes
		"rg_id": schema.Int64Attribute{
			Required:    true,
			Description: "find by rg id",
		},

		// optional attributes
		"reason": schema.StringAttribute{
			Optional:    true,
			Description: "reason for action",
		},

		//computed attributes
		"id": schema.StringAttribute{
			Computed: true,
		},
		"cpu": schema.Int64Attribute{
			Computed: true,
		},
		"disk_size": schema.Int64Attribute{
			Computed: true,
		},
		"disk_size_max": schema.Int64Attribute{
			Computed: true,
		},
		"extips": schema.Int64Attribute{
			Computed: true,
		},
		"exttraffic": schema.Int64Attribute{
			Computed: true,
		},
		"gpu": schema.Int64Attribute{
			Computed: true,
		},
		"ram": schema.Int64Attribute{
			Computed: true,
		},
		"seps": schema.ListNestedAttribute{
			Computed: true,
			NestedObject: schema.NestedAttributeObject{
				Attributes: map[string]schema.Attribute{
					"sep_id": schema.StringAttribute{
						Computed: true,
					},
					"data_name": schema.StringAttribute{
						Computed: true,
					},
					"disk_size": schema.Float64Attribute{
						Computed: true,
					},
					"disk_size_max": schema.Float64Attribute{
						Computed: true,
					},
				},
			},
		},
	}
}
