package models

import (
	"github.com/hashicorp/terraform-plugin-framework-timeouts/datasource/timeouts"
	"github.com/hashicorp/terraform-plugin-framework/types"
)

type InfoStackModel struct {
	// request required fields
	StackID types.Int64 `tfsdk:"stack_id"`

	// request optional fields
	Timeouts timeouts.Value `tfsdk:"timeouts"`

	// response fields
	CPUAllocationRatio types.Float64 `tfsdk:"cpu_allocation_ratio"`
	Descr              types.String  `tfsdk:"descr"`
	Drivers            types.List    `tfsdk:"drivers"`
	MemAllocationRatio types.Float64 `tfsdk:"mem_allocation_ratio"`
	Name               types.String  `tfsdk:"name"`
	Status             types.String  `tfsdk:"status"`
	Type               types.String  `tfsdk:"type"`
}
