package models

import (
	"github.com/hashicorp/terraform-plugin-framework-timeouts/datasource/timeouts"
	"github.com/hashicorp/terraform-plugin-framework/types"
)

type ListStacksModel struct {
	// optional fields
	ByID     types.Int64    `tfsdk:"by_id"`
	Name     types.String   `tfsdk:"name"`
	Status   types.String   `tfsdk:"status"`
	Type     types.String   `tfsdk:"type"`
	SortBy   types.String   `tfsdk:"sort_by"`
	Page     types.Int64    `tfsdk:"page"`
	Size     types.Int64    `tfsdk:"size"`
	Timeouts timeouts.Value `tfsdk:"timeouts"`

	//compute fields
	Data       []ItemStackModel `tfsdk:"items"`
	EntryCount types.Int64      `tfsdk:"entry_count"`
}

type ItemStackModel struct {
	ID     types.Int64  `tfsdk:"stack_id"`
	Name   types.String `tfsdk:"name"`
	Status types.String `tfsdk:"status"`
	Type   types.String `tfsdk:"type"`
}
