package models

import (
	"github.com/hashicorp/terraform-plugin-framework-timeouts/datasource/timeouts"
	"github.com/hashicorp/terraform-plugin-framework/types"
)

type DataSourceVINSExtNetListModel struct {
	// request fields
	VinsID   types.Int64    `tfsdk:"vins_id"`
	Timeouts timeouts.Value `tfsdk:"timeouts"`

	// response fields
	Id         types.String          `tfsdk:"id"`
	Items      []ItemExtNetVinsModel `tfsdk:"items"`
	EntryCount types.Int64           `tfsdk:"entry_count"`
}

type ItemExtNetVinsModel struct {
	DefaultGW  types.String `tfsdk:"default_gw"`
	ExtNetID   types.Int64  `tfsdk:"ext_net_id"`
	IP         types.String `tfsdk:"ip"`
	PrefixLen  types.Int64  `tfsdk:"prefix_len"`
	Status     types.String `tfsdk:"status"`
	TechStatus types.String `tfsdk:"tech_status"`
}
