package schemas

import (
	"github.com/hashicorp/terraform-plugin-framework/datasource/schema"
)

func MakeSchemaDataSourceVINSAudits() map[string]schema.Attribute {
	return map[string]schema.Attribute{
		// required attributes
		"vins_id": schema.Int64Attribute{
			Required:    true,
			Description: "Unique ID of the ViNS.",
		},

		// computed attributes
		"id": schema.StringAttribute{
			Computed: true,
		},
		"items": schema.ListNestedAttribute{
			Computed: true,
			NestedObject: schema.NestedAttributeObject{
				Attributes: map[string]schema.Attribute{
					"call": schema.StringAttribute{
						Computed: true,
					},
					"response_time": schema.Float64Attribute{
						Computed: true,
					},
					"statuscode": schema.Int64Attribute{
						Computed: true,
					},
					"timestamp": schema.Float64Attribute{
						Computed: true,
					},
					"user": schema.StringAttribute{
						Computed: true,
					},
				},
			},
		},
	}
}
