package schemas

import (
	"github.com/hashicorp/terraform-plugin-framework/datasource/schema"
	"github.com/hashicorp/terraform-plugin-framework/types"
)

func MakeSchemaDataSourceVINSStaticRouteList() map[string]schema.Attribute {
	return map[string]schema.Attribute{
		// required attributes
		"vins_id": schema.Int64Attribute{
			Required:    true,
			Description: "vins ID",
		},

		// computed attributes
		"id": schema.StringAttribute{
			Computed: true,
		},
		"items": schema.ListNestedAttribute{
			Computed: true,
			NestedObject: schema.NestedAttributeObject{
				Attributes: map[string]schema.Attribute{
					"compute_ids": schema.ListAttribute{
						Computed:    true,
						ElementType: types.Int64Type,
					},
					"destination": schema.StringAttribute{
						Computed: true,
					},
					"gateway": schema.StringAttribute{
						Computed: true,
					},
					"guid": schema.StringAttribute{
						Computed: true,
					},
					"netmask": schema.StringAttribute{
						Computed: true,
					},
					"route_id": schema.Int64Attribute{
						Computed: true,
					},
				},
			},
		},
		"entry_count": schema.Int64Attribute{
			Computed: true,
		},
	}
}
